<ion-header>
  <ion-navbar no-border-bottom color="primary">
    <ion-title>
      <p></p>
    </ion-title>
    <ion-segment color="white" [(ngModel)]="segment">
     <ion-segment-button value="myTodoList">
       Perso
     </ion-segment-button>
     <ion-segment-button value="sharedTodoList">
       Partagées
     </ion-segment-button>
  </ion-segment>
  </ion-navbar>
</ion-header>

<ion-content padding>
<div [ngSwitch]="segment">
  <ion-list *ngSwitchCase="'myTodoList'">
    <ion-item-sliding *ngFor="let l of todoList | async" >
        <button ion-item  (click)="goToItems(l.uuid)">
          <h2>{{l.name}}</h2>
        <ion-badge item-end>{{numberOfItemsInList(l.items)}}</ion-badge>
        </button>
        <ion-item-options>
          <button ion-button color="primary" icon-start (click)="updateTodoList(l)">
            <ion-icon name="create"></ion-icon>
          </button>
          <button ion-button color="light" icon-start (click)="shareTodoListWithQrCode(l)">
            <ion-icon name="md-share"></ion-icon>
          </button>
          <button ion-button color="danger" icon-start (click)="deleteTodoList(l)">
            <ion-icon name="trash"></ion-icon>
          </button>
        </ion-item-options>
    </ion-item-sliding>
  </ion-list>

  <ion-list *ngSwitchCase="'sharedTodoList'">
    <ion-item-sliding *ngFor="let sl of todoList | async" >
      <ion-item *ngIf="sl.proprietaire !== userId" (click)="goToItems(sl.uuid)" >
        <h2>{{sl.name}}</h2>
        <ion-badge item-end>{{numberOfItemsInList(sl.items)}}</ion-badge>
      </ion-item>
      <ion-item-options>
        <button ion-button color="primary" icon-start (click)="updateTodoList(sl)">
          <ion-icon name="create"></ion-icon>
        </button>
        <button ion-button color="light" icon-start (click)="shareTodoListWithQrCode(sl)">
          <ion-icon name="md-share"></ion-icon>
        </button>
        <button ion-button color="danger" icon-start (click)="deleteTodoList(sl)">
          <ion-icon name="trash"></ion-icon>
        </button>
      </ion-item-options>
    </ion-item-sliding>
  </ion-list>
</div>
<ion-fab right bottom *ngIf="segment === 'myTodoList'">
   <button ion-fab mini color="primary" (click)="addTodoList()"><ion-icon name="add"></ion-icon></button>
</ion-fab>

<ion-fab right bottom *ngIf="segment === 'sharedTodoList'">
  <button ion-fab mini color="danger" (click)="scanCode()"><ion-icon name="qr-scanner"></ion-icon></button>
</ion-fab>


</ion-content>
